Eclipse Luna安装Activiti Designer报错解决方案

新版本Eclipse Luna(4.40)安装Activiti Designer报错,折腾了一下午终于搞定,特记录如下:
采用在线安装Activiti Designer 地址为:http://www.activiti.org/designer/update/

步骤如下:

1.”Help” –>”Install New Software…”
这里写图片描述

2.安装过程中会产生如下错误:
Cannot complete the software install because one or more required items could not be found.
Software being installed: Activiti Eclipse BPMN 2.0 Designer 5.14.1 (org.activiti.designer.feature.feature.group 5.14.1)
Missing requirement: Activiti Designer - GUI 5.14.1 (org.activiti.designer.gui 5.14.1) requires ‘bundle org.eclipse.emf 0.0.0’ but it could not be found
Cannot satisfy dependency:
From: Activiti Eclipse BPMN 2.0 Designer 5.14.1 (org.activiti.designer.feature.feature.group 5.14.1)
To: org.activiti.designer.gui [5.14.1]

**

解决方案:

**
(1)、升级最新的emf-validation-Update-1.8.0.zip插件包,下载地址:https://eclipse.org/modeling/emf/downloads/?project=transaction

离线安装:
这里写图片描述

(2)、将如下四个文件复制到Eclipse 的plugin目录下
com.ibm.icu_4.4.2.v20110823.jar
com.ibm.icu.source_4.4.2.v20110823.jar
com.ibm.icu.base_4.4.2.v20110831.jar
com.ibm.icu.base.source_4.4.2.v20110831.jar

重启Eclipse之后在线安装就没问题了
以上文件下载压缩包:http://download.csdn.net/detail/cwz825409741/8757231

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页